# std::basic_iostream< _CharT, _Traits > Class Template Reference

Merging istream and ostream capabilities. More...

Inheritance diagram for std::basic_iostream< _CharT, _Traits >:

[legend]
Collaboration diagram for std::basic_iostream< _CharT, _Traits >:

[legend]
List of all members.

## Public Methods

| basic_iostream (basic_streambuf< _CharT, _Traits > *__sb)
| Constructor does nothing.
virtual | ~basic_iostream ()
| Destructor does nothing.

## Detailed Description

### template<typename _CharT, typename _Traits>
class std::basic_iostream< _CharT, _Traits >

Merging istream and ostream capabilities.

This class multiply inherits from the input and output stream classes simply to provide a single interface.

Definition at line 706 of file istream.

## Constructor & Destructor Documentation

template<typename _CharT, typename _Traits>
std::basic_iostream< _CharT, _Traits >::basic_iostream | ( | basic_streambuf< _CharT, _Traits > * | __sb | ) | `[inline, explicit]`

| Constructor does nothing. Both of the parent classes are initialized with the same streambuf pointer passed to this constructor. Definition at line 732 of file istream.

template<typename _CharT, typename _Traits>
virtual std::basic_iostream< _CharT, _Traits >::~basic_iostream | ( |  | ) | `[inline, virtual]`

| Destructor does nothing. Definition at line 740 of file istream.

The documentation for this class was generated from the following file:

- istream